import { Octokit } from 'octokit';
import { InputValues } from './inputs.js';

type EnsureRepositoryValues = Pick<InputValues, "createRepository" | "owner" | "repository">;
interface RepositoryExistsResult {
    octokit: Octokit | undefined;
    repository: string;
}
declare function ensureRepositoryExists(octokit: Octokit | undefined, values: EnsureRepositoryValues): Promise<RepositoryExistsResult>;

export { EnsureRepositoryValues, RepositoryExistsResult, ensureRepositoryExists };
